## ubuntu-docs 14.04.3

=== debian/changelog ===
ubuntu-docs (14.04.3) trusty; urgency=low

  * html/ubuntu.xsl:
    - Insert some space above the index page links groups.
  * unity-menubar-intro.page:
    - Bluetooth descr. moved to reflect the order of status menus.
  * backup-where.page, unity-shopping.page:
    - References to Ubuntu One removed (LP: #1300916).
  * sharing-remote-login.page:
    - Dropped since the remote-login-service package is no longer
      installed by default.
  * Updated ubuntu-help.pot.
  * The latest translations exported from Launchpad.

  [ Carsten Gerlach ]
  * addremove-sources.page:
    - saucy replaced with trusty in sources.list entries.
  * Two screenshots for the German translation.

  [ Doug Smythies ]
  * figures/unity.png, unity-overview.png, unity-windows.png:
    - Updated due to the Ubuntu One removal.
  * Obsolete region specific screenshots deleted.
  * Fixed a bunch of easily (via script) corrected Mallard syntax
    errors in translations.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 07 Apr 2014 20:40:00 +0200

ubuntu-docs (14.04.2) trusty; urgency=low

  * media.page:
    - Confusing link removed.
  * shell-guest-session.page:
    - Prevent shell commands from showing up in translation template.
  * unity-launcher-change-autohide.page:
    - Description changed (LP: #1246022).
  * files-browse.page, backup-restore.page, backup-thinkabout.page:
    - Minor fixes (LP: #1225840, LP: #1221461, LP: #1221463).
  * update-translations.sh:
    - Script for renaming exported PO files. Thanks Kevin Godby!
    - A couple of adjustments to get the desired behavior.
  * unity-menubar-intro.page:
    - Description of new app menu option (LP: #1284221).
    - Input source added to list of status menus.
  * keyboard-layouts.page:
    - Notes about IM engine install and preferences button
      (LP: #1282364). Thanks to John Kim for valuable input!
  * whats-new.page:
    - News highlights between 12.04 and 14.04 (LP: #1271492).
  * Updated ubuntu-help.pot.
  * The latest translations exported from Launchpad.

  [ John Kim ]
  * Grammar fixes in power-lowpower.page (LP: #1189282).

  [ Doug Smythies ]
  * Typo fixes in three accounts-*.page pages.
  * ubuntu-help/C/check_validation.sh:
    - Script corrected and significantly improved.
  * ubuntu-mascot-creature.jpg:
    - Give mascot file a generic name (LP: #1287978).
    - Update content and back to JPG from PNG (LP: #1287978).
  * Fix nonexistent link destinations (LP: #1270318, LP: #1231612).
  * Fix "no way to navigate" yelp-check errors (LP: #1270314).
  * Fix or reassign or delete invalid internal links in the compiled
    html (LP: #931325).
  * html/fix-urls.sed:
    - Change gnome help redirects for html to revision neutral stable.
  * Screenshots updated (LP: #1249806).
  * Outdated UI terms updated with correct ones on a bunch of pages.
  * Incorrect sentence removed from nautilus-display.page.

  [ Nigel Hall ]
  * Spelling fix in unity-launcher-menu.page.

  [ goneaway ]
  * Grammar fix in unity-introduction.page.

  [ Kevin Godby ]
  * Spell-checked the *.page files and corrected detected errors.
  * Tweaked the language on whats-new.page.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 20 Mar 2014 20:37:00 +0100

ubuntu-docs (14.04.1) trusty; urgency=low

  [ Kevin Godby ]
  * configure.in, html/Makefile, html/ubuntu.xsl, whats-new.page:
    - Bumped version number to 14.04.
  * Typo on printing-cancel-job.page fixed (LP: #1231655).

  [ Little Girl ]
  * ubuntu-help/C/check_status.sh:
    - Added the EXTINCT listing for status to display references to
      previous releases.
    - Added a section on how to use status tags.
    - Fixed the script so that it will find revision elements with stub
      attributes.
  * accounts-create.page:
    - Improved wording (LP: #1220971).
  * Improved structure and minor tweaking of many pages.

  [ Doug Smythies ]
  * ubuntu-help/Makefile.am:
    - Added missing .png files (LP: #1245031).
  * disk-capacity.page:
    - Clarify disk usage analyzer (LP: #1059535).
  * Link corrections so that yelp-check ids will pass.
  * display-dual-monitors.page:
    - Fixed 2 unmatched block elements: section html compile errors.
  * Some occurrences of GNOME only code and .png file requests removed
    (LP: #1232708).
  * PO files updated:
    - Exported the latest translations from Launchpad.
    - Four new languages: et, eu, tg, th.

  [ Benjamin Kerensa ]
  * Update of the MAINTAINERS file.
  * Minor tweaks.

  [ Gunnar Hjalmarsson ]
  * The group "Add & remove software" highlighted on index.page by
    creation of the guide page addremove.page. Related links tweaking.
  * shell-guest-session.page:
    - Added description of how you can disable the guest session
      feature (LP: #1076740).
  * Creation of prefs-language-install.page.
  * keyboard-layouts.page:
    - Rewritten to reflect the "System Settings -> Text Entry" design
      (LP: #1242626).
  * tips-specialchars.page:
    - Sections "Compose key" and "Input methods" removed.
  * debian/control:
    - Bump Standards-Version to 3.9.5.
  * Updated ubuntu-help.pot.

  [ Greg Beam ]
  * The "Online accounts" pages improved, including:
    - Grammar fixes on accounts-whyadd.page (LP: #1220983).
    - Removal of accounts-create.page (LP: #1220971).
    - System settings steps worded as on other pages (LP: #1268775).
  * addremove-install-synaptic.page:
    - Grammar fix (LP: #1222288).
  * Fixed validation errors (LP: #1268834).
  * Note style corrected (changed from "info" to "tip", LP: #1269100).

  [ Jeffery To ]
  * power-hibernate.page:
    - Instructions for re-enabling hibernation updated (LP: #1232814).

  [ Shaun McCance ]
  * html/ubuntu.xsl:
    - Link trail no longer needs override (LP: #1275818).
  * Changes to pass strict validation (LP: #1275866).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 14 Feb 2014 18:07:00 +0100

=== debian/control ===
Source: ubuntu-docs
Section: doc
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Build-Depends: debhelper (>= 8), cdbs
Build-Depends-Indep: gnome-common,
                     pkg-config,
                     yelp-tools
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/ubuntu-docs/saucy
Standards-Version: 3.9.5
Homepage: https://launchpad.net/ubuntu-docs

Package: ubuntu-docs
Architecture: all
Depends: ${misc:Depends},
         yelp
Description: Ubuntu Desktop Guide
 This package holds the official Ubuntu-specific documentation, maintained 
 by the Ubuntu Documentation Team. The documentation can be viewed using
 Yelp, the GNOME help browser.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_BUILDDEB_ARGS := -- -Zxz

makebuilddir/ubuntu-docs::
	@gnome-autogen.sh --prefix=/usr
	@echo "---"
	@make -C ubuntu-help -f Makefile pot
	@echo "---"

## ubuntu-docs 14.04.5

=== html/Makefile ===
####################################################################################           
# Makefile for the GNOME Ubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
#
####################################################################################

MAKECMD=make
HTMLDESTDIR=build
SRCDIR=../ubuntu-help
SED=/bin/sed
INSTALLDIR=/var/www/14.04/
URLFIXER=fix-urls.sed

# Space-separated list of language codes for documents. HTML will only be
# built for those codes in the list
# Ex. HELP_LINGUAS=ja it for Japanese and Italian
# Note that the corresponding .page files for the locales must have been built
# for the HTML to be built in turn. This means all the locales for which
# HTML output is needed will have to have been specified in the main
# HELP_LINGUAS variable in the ubuntu-help Makefile
HELP_LINGUAS = am ar ast az bg bo br bs ca ce cs da de el en_AU en_CA en_GB es et eu fi fo fr gl he hi hr hu id it ja kk kn ko lt lv mg ms my nb nl oc pl pt_BR pt ro ru si sk sl sq sr sv ta te tg th tl tr ug uk ur uz zh_CN zh_HK zh_TW

index_file_exists = $(wildcard $(SRCDIR)/$(lingua)/index.page)
linguas := $(HELP_LINGUAS)
help_linguas := \
    $(foreach lingua, $(linguas), \
        $(if $(index_file_exists), \
            $(lingua), \
            $(warning Cannot find source index page for locale: $(lingua), \
                skipping. You will probably have to build it adding it to \
                the HELP_LINGUAS variable in the Makefile at $(SRCDIR) \
                and rebuild)))

# Ubuntu Mallard Customization Layer
UBUNTUXSL=ubuntu.xsl

# Builds the HTML files for all specified language codes, specifiying the
# language in the final documents and performing some other necessary
# text replacements not handled by yelp-build.
# Language codes are normalized to IETF format, as opposed to glibc format
ubuntu-help: clean style
	for lc in C $(help_linguas); do \
		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
		if test "$$lang" = "C"; then lang=en; fi; \
		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
		yelp-build html -o "$(HTMLDESTDIR)/$$lang/" -x $(UBUNTUXSL) \
			"$(SRCDIR)/$$lc/"; \
		$(SED) -i \
			-e '1s/^/<!DOCTYPE html\>\n/' \
			-e "s/<html>/<html lang="$$lang">/" \
			-e 's|/usr/share/icons/.*/\(.*\.svg\)|img/\1|'\
			"$(HTMLDESTDIR)/$$lang/"*.html; \
		$(SED) -i -f "$(URLFIXER)" "$(HTMLDESTDIR)/$$lang/"*.html; \
		echo "\nSearching for yelp help system internal links and either changing them to equivalent or related external links or deleting them:"; \
		$(SED) -i -e '/help:language-selector/d' "$(HTMLDESTDIR)/$$lang/"session*.html; \
		grep "href=\"ghelp:" "$(HTMLDESTDIR)/$$lang/"*.html; \
		rm -rf "$(HTMLDESTDIR)/$$lang/usr"; \
	done

clean:
	rm -rf build

# Copy style sheet and common images to build directory
# TODO: copy C/figures to destination only for those cases where there are
# no localized figures
style:
	for lc in C $(help_linguas); do \
		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
		if test "$$lang" = "C"; then lang=en; fi; \
		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
		mkdir -p "$(HTMLDESTDIR)/$$lang/img"; \
		mkdir -p "$(HTMLDESTDIR)/$$lang/figures"; \
		cp img/* "$(HTMLDESTDIR)/$$lang/img"; \
		cp "$(SRCDIR)/C/figures/"* "$(HTMLDESTDIR)/$$lang/figures"; \
	done

# Installs all HTML files to a multilingual site (e.g. run with Apache and
# MultiViews enabled)
install:
	rm -Rf "$(INSTALLDIR)"/*; \
	cp -R "$(HTMLDESTDIR)/"* "$(INSTALLDIR)"; \
	for lc in C $(help_linguas); do \
		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
		if test "$$lang" = "C"; then lang=en; fi; \
		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
		cp -af "$(INSTALLDIR)/$$lang"/*.css "$(INSTALLDIR)"; \
		rm -Rf "$(INSTALLDIR)/$$lang"/*.css ; \
		find "$(INSTALLDIR)/$$lang" -type f -exec mv {} {}.$$lang \; ; \
		cp -af "$(INSTALLDIR)/$$lang"/* "$(INSTALLDIR)"; \
		rm -Rf "$(INSTALLDIR)/$$lang" ; \
	done

=== debian/changelog ===
ubuntu-docs (14.04.5) trusty-proposed; urgency=low

  * power-hibernate.page:
    - Correction of the fix in version 14.04.4 (LP: #1360657).
  * html/ubuntu.xsl:
    - Include wiki name in the "Community Help Wiki" link URL.
  * New Chechen (ce) translation.
  * The latest translations exported from Launchpad.

  [ Doug Smythies ]
  * html/Makefile:
    - Missing languages added.
    - Broken "make install" fixed.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 13 Feb 2015 00:36:00 +0100

ubuntu-docs (14.04.4) trusty-proposed; urgency=low

  * html/ubuntu.xsl: Contribute link added.
  * power-hibernate.page:
    - Enabling Hibernate for multiple sessions (LP: #1328227).
  * ubuntu-help/Makefile.am: New zh_HK translation.
  * The latest translations exported from Launchpad.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 23 Jun 2014 23:38:00 +0200

## ubuntu-docs 14.10.4

=== html/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 HTMLDESTDIR=build
 SRCDIR=../ubuntu-help
 SED=/bin/sed
-INSTALLDIR=/var/www/14.04/
+INSTALLDIR=/var/www/14.10/
 URLFIXER=fix-urls.sed
 
 # Space-separated list of language codes for documents. HTML will only be

=== debian/changelog ===
ubuntu-docs (14.10.4) utopic; urgency=low

  * ubuntu-help/C/figures/ubuntu-mascot-creature.jpg:
    - Official unicorn mascot.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 13 Oct 2014 18:19:00 +0200

ubuntu-docs (14.10.3) utopic; urgency=low

  * index.page: Switched context between mascot file and unity.png.
  * debian/copyright: Modified to make Lintian shut up.
  * translations-syntax-fix.sh:
    - Script for correcting some syntax errors in .po files.
  * The latest translations exported from Launchpad.
  * Certain Mallard syntax errors fixed via script.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 10 Oct 2014 02:26:00 +0200

ubuntu-docs (14.10.2) utopic; urgency=low

  * power-hibernate.page:
    - Correction of the fix in version 14.10.1 (LP: #1360657).
  * html/ubuntu.xsl:
    - Include wiki name in the "Community Help Wiki" link URL.
  * Bump version to 14.10 / trusty.
  * startup-applications.page: New page.
  * sharing-bluetooth.page, unity-launcher-menu.page:
    - Typos fixed (LP: #1301487, LP: #1303143).
  * References to non-existent Nautilus gear button replaced
    (LP: #1301468).
  * tips-specialchars.page:
    - Instruction how to enter a character by code point corrected
      (LP: #1303017).
  * shell-workspaces*.page:
    - Description of how to enable workspaces added (LP: #1305202).
  * look-background.page:
    - Removed suggestion to switch workspace - workspaces disabled by
      default.
  * "What's new" page disabled due to few news.
  * Updated ubuntu-help.pot.
  * ubuntu-help/C/figures/ubuntu-mascot-creature.jpg: Unicorn mascot.
  * New Chechen (ce) translation.
  * The latest translations exported from Launchpad.

  [ Doug Smythies ]
  * html/Makefile:
    - Missing languages added.
    - Broken "make install" fixed.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 18 Sep 2014 19:32:00 +0200

ubuntu-docs (14.10.1) utopic; urgency=low

  * html/ubuntu.xsl: Contribute link added.
  * power-hibernate.page:
    - Enabling Hibernate for multiple sessions (LP: #1328227).
  * ubuntu-help/Makefile.am: New zh_HK translation.
  * The latest translations exported from Launchpad.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 23 Jun 2014 23:22:00 +0200

## ubuntu-docs 14.10.5

=== debian/changelog ===
ubuntu-docs (14.10.5) utopic-proposed; urgency=low

  * Translation update

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 01 Dec 2014 04:33:00 +0100

## ubuntu-docs 15.04.2

=== html/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 HTMLDESTDIR=build
 SRCDIR=../ubuntu-help
 SED=/bin/sed
-INSTALLDIR=/var/www/14.10/
+INSTALLDIR=ubuntu-docs
 URLFIXER=fix-urls.sed
 
 # Space-separated list of language codes for documents. HTML will only be
@@ -68,6 +68,9 @@
 			-e 's|/usr/share/icons/.*/\(.*\.svg\)|img/\1|'\
 			"$(HTMLDESTDIR)/$$lang/"*.html; \
 		$(SED) -i -f "$(URLFIXER)" "$(HTMLDESTDIR)/$$lang/"*.html; \
+		sed -i -r -e \
+			's|(Guide</span></h1></div>)|\1<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 15.04</span></div>|' \
+			"$(HTMLDESTDIR)/$$lang/index.html"; \
 		echo "\nSearching for yelp help system internal links and either changing them to equivalent or related external links or deleting them:"; \
 		$(SED) -i -e '/help:language-selector/d' "$(HTMLDESTDIR)/$$lang/"session*.html; \
 		grep "href=\"ghelp:" "$(HTMLDESTDIR)/$$lang/"*.html; \
@@ -93,10 +96,11 @@
 		cp "$(SRCDIR)/C/figures/"* "$(HTMLDESTDIR)/$$lang/figures"; \
 	done
 
-# Installs all HTML files to a multilingual site (e.g. run with Apache and
-# MultiViews enabled)
+# Installs all HTML files to a single multilingual directory for subsequent copying to
+# the web server document structure (e.g. to run with Apache and MultiViews enabled)
 install:
 	rm -Rf "$(INSTALLDIR)"/*; \
+	mkdir -p "$(INSTALLDIR)"; \
 	cp -R "$(HTMLDESTDIR)/"* "$(INSTALLDIR)"; \
 	for lc in C $(help_linguas); do \
 		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \

=== debian/changelog ===
ubuntu-docs (15.04.2) vivid; urgency=medium

  * html/Makefile:
    - Include Ubuntu version on the HTML version of the index page
      (LP: #1411283).
  * The latest translations exported from Launchpad.

  [ Doug Smythies ]
  * Several screenshots updated with new background and theme.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 11 Apr 2015 00:44:00 +0200

ubuntu-docs (15.04.1) vivid; urgency=low

  * Bump version to 15.04 / vivid.
  * numeric-keypad.page: New page.
  * debian/control: Bump Standards-Version to 3.9.6.
  * bluetooth-turn-on-off.page:
    - Adapt to new Bluetooth panel menu (LP: #1392907).
  * Updated ubuntu-help.pot.
  * The latest translations exported from Launchpad.

  [ Jeffrey Flaker ]
  * files-search.page: Typo fixed (LP: #1375939).

  [ Doug Smythies ]
  * html/img/*: Unused images removed.
  * html/ubuntu.xsl, html/Makefile, .bzrignore:
    - Fixes which improve and simplify the HTML build (LP: #1417906).
  * MAINTAINERS: Updated.
  * ubuntu-mascot-creature.jpg: Updated (LP: #1434087).

  [ Hannie Dumoleyn ]
  * Several occurrences of "app" replaced with "application".

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 19 Mar 2015 20:10:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                      pkg-config,
                      yelp-tools
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/ubuntu-docs/saucy
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://launchpad.net/ubuntu-docs
 
 Package: ubuntu-docs

## ubuntu-docs 15.04.3

=== html/Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
 			"$(HTMLDESTDIR)/$$lang/"*.html; \
 		$(SED) -i -f "$(URLFIXER)" "$(HTMLDESTDIR)/$$lang/"*.html; \
 		sed -i -r -e \
-			's|(Guide</span></h1></div>)|\1<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 15.04</span></div>|' \
+			's|(<div class="region"><div class="contents">)|<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 15.04</span></div>\1|' \
 			"$(HTMLDESTDIR)/$$lang/index.html"; \
 		echo "\nSearching for yelp help system internal links and either changing them to equivalent or related external links or deleting them:"; \
 		$(SED) -i -e '/help:language-selector/d' "$(HTMLDESTDIR)/$$lang/"session*.html; \

=== debian/changelog ===
ubuntu-docs (15.04.3) vivid-proposed; urgency=medium

  * html/ubuntu.xsl: Turn the Ubuntu version link into plain text.
  * The latest translations exported from Launchpad (LP: #1463005).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 08 Jun 2015 15:44:00 +0200

## ubuntu-docs 15.10.1

=== html/Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
 			"$(HTMLDESTDIR)/$$lang/"*.html; \
 		$(SED) -i -f "$(URLFIXER)" "$(HTMLDESTDIR)/$$lang/"*.html; \
 		sed -i -r -e \
-			's|(<div class="region"><div class="contents">)|<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 15.04</span></div>\1|' \
+			's|(<div class="region"><div class="contents">)|<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 15.10</span></div>\1|' \
 			"$(HTMLDESTDIR)/$$lang/index.html"; \
 		echo "\nSearching for yelp help system internal links and either changing them to equivalent or related external links or deleting them:"; \
 		$(SED) -i -e '/help:language-selector/d' "$(HTMLDESTDIR)/$$lang/"session*.html; \

=== debian/changelog ===
ubuntu-docs (15.10.1) wily; urgency=medium

  * Bump version to 15.10 / wily.
  * scripts/validate.sh:
    - Moved and renamed ubuntu-help/C/check_validation.sh, and modified
      it to facilitate checking of translated pages.
  * More scripts moved to the 'scripts' folder.
  * scripts/translation-test-build.sh:
    - Facilitates validation of translations for a language.
  * The latest translations exported from Launchpad.

  [ Doug Smythies ]
  * ubuntu-mascot-creature.png: Official werewolf mascot.
  * unity.png: New background.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 11 Oct 2015 17:01:00 +0200

## ubuntu-docs 16.04.3

=== html/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # for the HTML to be built in turn. This means all the locales for which
 # HTML output is needed will have to have been specified in the main
 # HELP_LINGUAS variable in the ubuntu-help Makefile
-HELP_LINGUAS = am ar ast az bg bo br bs ca ce cs da de el en_AU en_CA en_GB es et eu fi fo fr gl he hi hr hu id it ja kk kn ko lt lv mg ms my nb nl oc pl pt_BR pt ro ru si sk sl sq sr sv ta te tg th tl tr ug uk ur uz zh_CN zh_HK zh_TW
+HELP_LINGUAS = am ar ast az bg bo br bs ca ce cs da de el en_AU en_CA en_GB eo es et eu fi fo fr gl he hi hr hu id it ja kk kn ko lt lv mg ms my nb ne nl oc pl pt_BR pt ro ru si sk sl sq sr sv ta te tg th tl tr ug uk ur uz zh_CN zh_HK zh_TW
 
 index_file_exists = $(wildcard $(SRCDIR)/$(lingua)/index.page)
 linguas := $(HELP_LINGUAS)
@@ -65,11 +65,10 @@
 		$(SED) -i \
 			-e '1s/^/<!DOCTYPE html\>\n/' \
 			-e "s/<html>/<html lang="$$lang">/" \
-			-e 's|/usr/share/icons/.*/\(.*\.svg\)|img/\1|'\
 			"$(HTMLDESTDIR)/$$lang/"*.html; \
 		$(SED) -i -f "$(URLFIXER)" "$(HTMLDESTDIR)/$$lang/"*.html; \
 		sed -i -r -e \
-			's|(<div class="region"><div class="contents">)|<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 15.10</span></div>\1|' \
+			's|(<div class="region"><div class="contents">)|<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 16.04</span></div>\1|' \
 			"$(HTMLDESTDIR)/$$lang/index.html"; \
 		echo "\nSearching for yelp help system internal links and either changing them to equivalent or related external links or deleting them:"; \
 		$(SED) -i -e '/help:language-selector/d' "$(HTMLDESTDIR)/$$lang/"session*.html; \

=== debian/changelog ===
ubuntu-docs (16.04.3) xenial; urgency=medium

  * debian/control: Bump Standards-Version to 3.9.7.
  * The latest translations exported from Launchpad.
  * ubuntu-help/da/da.po: Mallard syntax error fixed.

  [ Doug Smythies ]
  * ubuntu-mascot-creature.png: Official xerus mascot.
  * Changed several pages to use the standard way for showing license,
    copyright, and legal notice.
  * unity.png, unity-windows.png, unity-overview.png: Updated.

  [ Milo Casagrande ]
  * Localized Italian screenshots.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 08 Apr 2016 01:15:00 +0200

ubuntu-docs (16.04.2) xenial; urgency=medium

  * Use relative paths to SVG icons within this package instead of
    absolute paths to icons of the ubuntu-mono package (LP: #1559070).
  * Updated ubuntu-help.pot.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 18 Mar 2016 23:38:00 +0100

ubuntu-docs (16.04.1) xenial; urgency=medium

  * Bump version to 16.04 / xenial.
  * keyboard-layouts.page:
    - Fcitx default IM framework for CJKV languages.
  * Updated ubuntu-help.pot.
  * New Esperanto (eo) and Nepali (ne) translations.
  * The latest translations exported from Launchpad.
  * ubuntu-help/pl/pl.po: Mallard syntax error fixed.

  [ Mark Guthart ]
  * Updates of several Unity related pages.
  * clock-calendar.page:
    - Changed to reflect Calendar instead of Evolution.

  [ Doug Smythies ]
  * Updates of several pages, mostly due to switch from "Ubuntu
    Software Center" to (GNOME) "Software".

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 18 Mar 2016 00:16:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                      pkg-config,
                      yelp-tools
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/ubuntu-docs/saucy
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://launchpad.net/ubuntu-docs
 
 Package: ubuntu-docs

## ubuntu-docs 16.04.4

=== html/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # for the HTML to be built in turn. This means all the locales for which
 # HTML output is needed will have to have been specified in the main
 # HELP_LINGUAS variable in the ubuntu-help Makefile
-HELP_LINGUAS = am ar ast az bg bo br bs ca ce cs da de el en_AU en_CA en_GB eo es et eu fi fo fr gl he hi hr hu id it ja kk kn ko lt lv mg ms my nb ne nl oc pl pt_BR pt ro ru si sk sl sq sr sv ta te tg th tl tr ug uk ur uz zh_CN zh_HK zh_TW
+HELP_LINGUAS = am ar ast az bg bo br bs ca ce cs da de el en_AU en_CA en_GB eo es et eu fi fo fr gl he hi hr hu id it ja kab kk kn ko lt lv mg ms my nb ne nl oc pl pt_BR pt ro ru si sk sl sq sr sv ta te tg th tl tr ug uk ur uz zh_CN zh_HK zh_TW
 
 index_file_exists = $(wildcard $(SRCDIR)/$(lingua)/index.page)
 linguas := $(HELP_LINGUAS)
@@ -80,8 +80,6 @@
 	rm -rf build
 
 # Copy style sheet and common images to build directory
-# TODO: copy C/figures to destination only for those cases where there are
-# no localized figures
 style:
 	for lc in C $(help_linguas); do \
 		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
@@ -91,8 +89,8 @@
 		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
 		mkdir -p "$(HTMLDESTDIR)/$$lang/img"; \
 		mkdir -p "$(HTMLDESTDIR)/$$lang/figures"; \
-		cp img/* "$(HTMLDESTDIR)/$$lang/img"; \
-		cp "$(SRCDIR)/C/figures/"* "$(HTMLDESTDIR)/$$lang/figures"; \
+		cp -n img/* "$(HTMLDESTDIR)/$$lang/img"; \
+		cp -n "$(SRCDIR)/C/figures/"* "$(HTMLDESTDIR)/$$lang/figures"; \
 	done
 
 # Installs all HTML files to a single multilingual directory for subsequent copying to

=== debian/changelog ===
ubuntu-docs (16.04.4) xenial; urgency=medium

  * Umbrella bug report for this upload: LP: #1592162 (see the bug
    description). All the below items consist of backported fixes from
    the upload to yakkety of version 16.10.1, except that the bug
    references have been excluded to make the SRU verification easier.
  * scripts/translation-test-build.sh:
    - Check that required packages are installed.
  * Updates due to switch from "Software" to "Ubuntu Software".
  * nautilus-list.page:
    - Less specific description of column "Modified".
  * Extra update of ubuntu-help.pot.
  * video-dvd-restricted.page:
    - Updated suggested packages.
    - New guidance on how to install libdvdcss2.
  * power-hibernate.page:
    - Code for re-enabling hibernate corrected.
  * mouse-disabletouchpad.page:
    - Deleted, since the feature is enabled by default now, and the
      GUI control has been dropped.
  * disk-check.page:
    - Updated to correspond to gnome-disk-utility 3.18.
  * net-chat-empathy.page:
    - Updated since Empathy is no longer installed by default.
  * files-disc-write.page:
    - Updated since Brasero is no longer installed by default.
  * numeric-keypad.page, shell-guest-session.page:
    - Suggest lightdm configuration in /etc instead of /usr/share.
  * net-wireless-troubleshooting-initial-check.page:
    - Replace nm-tool (no longer available) with nmcli.
  * Updated ubuntu-help.pot.
  * New Kabyle (kab) translation.
  * The latest translations exported from Launchpad.

  [ Milo Casagrande ]
  * Make Italian screenshots 250x200.

  [ Doug Smythies ]
  * unity.png, unity-windows.png, unity-overview.png:
    - Updated again due to new yet old Ubuntu Software icon.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 17 Jun 2016 15:08:00 +0200

## ubuntu-docs 16.10.3

=== html/Makefile ===
--- 
+++ 
@@ -68,7 +68,7 @@
 			"$(HTMLDESTDIR)/$$lang/"*.html; \
 		$(SED) -i -f "$(URLFIXER)" "$(HTMLDESTDIR)/$$lang/"*.html; \
 		sed -i -r -e \
-			's|(<div class="region"><div class="contents">)|<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 16.04</span></div>\1|' \
+			's|(<div class="region"><div class="contents">)|<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 16.10</span></div>\1|' \
 			"$(HTMLDESTDIR)/$$lang/index.html"; \
 		echo "\nSearching for yelp help system internal links and either changing them to equivalent or related external links or deleting them:"; \
 		$(SED) -i -e '/help:language-selector/d' "$(HTMLDESTDIR)/$$lang/"session*.html; \

=== debian/changelog ===
ubuntu-docs (16.10.3) yakkety; urgency=medium

  * unity.png: Updated with new background.
  * The latest translations exported from Launchpad.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 29 Sep 2016 23:28:00 +0200

ubuntu-docs (16.10.2) yakkety; urgency=medium

  * tips-specialchars.page:
    - Reinsert the "Compose key" section (LP: #1596152).
  * net-install-moonlight.page:
    - Deleted; obsolete (LP: #1563511).
  * net-install-flash.page:
    - Open source section removed; obsolete (LP: #1615404).
    - Suggest adobe-flashplugin, mention HTML5 (LP: #1568984).
  * addremove-sources.page:
    - Item about signing key added (LP: #1612631).
    - Adobe Reader no longer in Canonical Partner (LP: #1613033).
  * power-hibernate.page:
    - Mention that presence of btrfs partitions may make hibernation
      fail (LP: #1619846).
  * net-firewall-on-off.page:
    - Replace the incorrect "block" option to the ufw command with
      "deny" (LP: #1622885).
  * net-wireless-troubleshooting-hardware-check.page: apt-get -> apt
  * ubuntu-mascot-creature.png: Official yakkety mascot.
  * Updated ubuntu-help.pot.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 15 Sep 2016 22:53:00 +0200

ubuntu-docs (16.10.1) yakkety; urgency=medium

  * scripts/translation-test-build.sh:
    - Check that required packages are installed.
  * Updates due to switch from "Software" to "Ubuntu Software"
    (LP: #1570479).
  * nautilus-list.page:
    - Less specific description of column "Modified" (LP: #1572304).
  * Extra update of ubuntu-help.pot (LP: #1573249, LP: #1573251).
  * video-dvd-restricted.page:
    - Updated suggested packages (LP: #1201904).
    - New guidance on how to install libdvdcss2 (LP: #1571208).
  * power-hibernate.page:
    - Code for re-enabling hibernate corrected (LP: #1575466).
  * mouse-disabletouchpad.page:
    - Deleted, since the feature is enabled by default now, and the
      GUI control has been dropped (LP: #1575911).
  * disk-check.page:
    - Updated to correspond to gnome-disk-utility 3.18 (LP: #1573025).
  * net-chat-empathy.page:
    - Updated since Empathy is no longer installed by default
      (LP: #1579394).
  * files-disc-write.page:
    - Updated since Brasero is no longer installed by default.
  * numeric-keypad.page, shell-guest-session.page:
    - Suggest lightdm configuration in /etc instead of /usr/share.
  * net-wireless-troubleshooting-initial-check.page:
    - Replace nm-tool (no longer available) with nmcli (LP: #1581846).
  * Updated ubuntu-help.pot.
  * New Kabyle (kab) translation.
  * The latest translations exported from Launchpad (LP: #1592162).
  * debian/control: Bump Standards-Version to 3.9.8.
  * Bump version to 16.10 / yakkety.

  [ Milo Casagrande ]
  * Make Italian screenshots 250x200.

  [ Doug Smythies ]
  * unity.png, unity-windows.png, unity-overview.png:
    - Updated again due to new yet old Ubuntu Software icon
      (LP: #1570479).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 17 Jun 2016 00:11:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                      pkg-config,
                      yelp-tools
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/ubuntu-docs/saucy
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://launchpad.net/ubuntu-docs
 
 Package: ubuntu-docs

## ubuntu-docs 17.04.3

=== html/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # for the HTML to be built in turn. This means all the locales for which
 # HTML output is needed will have to have been specified in the main
 # HELP_LINGUAS variable in the ubuntu-help Makefile
-HELP_LINGUAS = am ar ast az bg bo br bs ca ce cs da de el en_AU en_CA en_GB eo es et eu fi fo fr gl he hi hr hu id it ja kab kk kn ko lt lv mg ms my nb ne nl oc pl pt_BR pt ro ru si sk sl sq sr sv ta te tg th tl tr ug uk ur uz zh_CN zh_HK zh_TW
+HELP_LINGUAS = am ar ast az bg bo br bs ca ce cs da de el en_AU en_CA en_GB eo es et eu fi fo fr gl he hi hr hu ia id it ja kab kk kn ko lt lv mg ms my nb ne nl oc pl pt_BR pt ro ru si sk sl sq sr sv ta te tg th tl tr ug uk ur uz zh_CN zh_HK zh_TW
 
 index_file_exists = $(wildcard $(SRCDIR)/$(lingua)/index.page)
 linguas := $(HELP_LINGUAS)
@@ -63,12 +63,11 @@
 		yelp-build html -o "$(HTMLDESTDIR)/$$lang/" -x $(UBUNTUXSL) \
 			"$(SRCDIR)/$$lc/"; \
 		$(SED) -i \
-			-e '1s/^/<!DOCTYPE html\>\n/' \
 			-e "s/<html>/<html lang="$$lang">/" \
 			"$(HTMLDESTDIR)/$$lang/"*.html; \
 		$(SED) -i -f "$(URLFIXER)" "$(HTMLDESTDIR)/$$lang/"*.html; \
 		sed -i -r -e \
-			's|(<div class="region"><div class="contents">)|<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 16.10</span></div>\1|' \
+			's|(<div class="region"><div class="contents">)|<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 17.04</span></div>\1|' \
 			"$(HTMLDESTDIR)/$$lang/index.html"; \
 		echo "\nSearching for yelp help system internal links and either changing them to equivalent or related external links or deleting them:"; \
 		$(SED) -i -e '/help:language-selector/d' "$(HTMLDESTDIR)/$$lang/"session*.html; \
@@ -89,25 +88,28 @@
 		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
 		mkdir -p "$(HTMLDESTDIR)/$$lang/img"; \
 		mkdir -p "$(HTMLDESTDIR)/$$lang/figures"; \
-		cp -n img/* "$(HTMLDESTDIR)/$$lang/img"; \
-		cp -n "$(SRCDIR)/C/figures/"* "$(HTMLDESTDIR)/$$lang/figures"; \
+		#cp -n img/* "$(HTMLDESTDIR)/$$lang/img"; \
+		#cp -n "$(SRCDIR)/C/figures/"* "$(HTMLDESTDIR)/$$lang/figures"; \
 	done
 
 # Installs all HTML files to a single multilingual directory for subsequent copying to
 # the web server document structure (e.g. to run with Apache and MultiViews enabled)
 install:
-	rm -Rf "$(INSTALLDIR)"/*; \
-	mkdir -p "$(INSTALLDIR)"; \
-	cp -R "$(HTMLDESTDIR)/"* "$(INSTALLDIR)"; \
+	rm -Rf "$(INSTALLDIR)"/*
+	mkdir -p "$(INSTALLDIR)"
+	cp -R "$(HTMLDESTDIR)/"* "$(INSTALLDIR)"
 	for lc in C $(help_linguas); do \
 		lang=`echo $$lc | $(SED) -e 's/[@_]/-/'`; \
 		if test "$$lang" = "C"; then lang=en; fi; \
 		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
 		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
 		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
-		cp -af "$(INSTALLDIR)/$$lang"/*.css "$(INSTALLDIR)"; \
-		rm -Rf "$(INSTALLDIR)/$$lang"/*.css ; \
+		for ext in css png js; do \
+			cp -af "$(INSTALLDIR)/$$lang"/*.$$ext "$(INSTALLDIR)"; \
+			rm -Rf "$(INSTALLDIR)/$$lang"/*.$$ext ; \
+		done ; \
 		find "$(INSTALLDIR)/$$lang" -type f -exec mv {} {}.$$lang \; ; \
 		cp -af "$(INSTALLDIR)/$$lang"/* "$(INSTALLDIR)"; \
 		rm -Rf "$(INSTALLDIR)/$$lang" ; \
 	done
+	cp img/* "$(INSTALLDIR)/img"

=== debian/changelog ===
ubuntu-docs (17.04.3) zesty; urgency=medium

  * html/ubuntu.xsl:
    - Specify search box width (LP: #1675452).
  * html/Makefile:
    - Drop duplicate doctype directive (LP: #1676058).
  * The latest translations exported from Launchpad.

  [ Doug Smythies ]
  * Several screenshots updated.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 31 Mar 2017 01:00:00 +0200

ubuntu-docs (17.04.2) zesty; urgency=medium

  * Use icon for more concise references to the system menu.
  * net-install-flash.page:
    - Rewritten to cover flashplugin-installer and
      browser-plugin-freshplayer-pepperflash.
  * net-install-java-plugin.page:
    - Deleted since the plugin technique is obsolete and Mozilla just
      dropped the support for it.
  * html/Makefile:
    - Don't copy images unnecessarily when building the HTML version.
  * ubuntu-mascot-creature.png: Official zesty mascot.
  * Updated ubuntu-help.pot.
  * New Interlingua (ia) translation.
  * The latest translations exported from Launchpad.
  * ubuntu-help/ca/ca.po: Mallard syntax errors fixed.

  [ Chris Perry ]
  * nautilus-bookmarks-edit.page:
    - GUI conformity modifications (LP: #1663343).
  * Icon added and used to refer to the window menu in GNOME apps.
  * files-search.page:
    - GUI conformity modifications, section about saving a search
      dropped.
  * Misc. pages modified including mentioning of the Snap Store
    (LP: #1628460).
  * files-browse.page, files-lost.page:
    - Misc. changes.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 15 Mar 2017 23:37:00 +0100

ubuntu-docs (17.04.1) zesty; urgency=medium

  * scripts/validate.sh:
    - Modified so it can be called via a symlink from 'ubuntu-help/C'
      or 'html'.
  * power-hibernate.page:
    - Changed command due to upstart->systemd transition.
  * Bump version to 17.04 / zesty.
  * html/ubuntu.xsl:
    - Make unordered lists bulleted and not numbered (LP: #1649554).
  * keyboard-layouts.page:
    - Note about how to show rarely used xkb layout variants.
  * Updated ubuntu-help.pot.
  * debian/compat, debian/control:
    - Bump to debhelper version 9

  [ Chris Perry ]
  * tips-specialchars.page:
    - Section "Compose key" updated (LP: #1624778).
  * addremove-ppa.page:
    - Revise PPA description (LP: #1628706).
  * keyboard-layouts.page:
    - Move text of marginal note.
  * mouse-middleclick.page, mouse-touchpad-click.page:
    - Revise description of middle-click from touchpad (LP: #1617718).
  * power-lowpower.page:
    - Update since related control in "System Settings -> Power" has
      been removed (LP: #1599264, LP: #1641786).
  * accounts-add.page, net-firewall-on-off.page:
    - Minor clarifications.
  * net-wireless-*.page, net-problem.page:
    - GUI conformity modifications (LP: #1637126)
    - New shared section (LP: #977251)
  * addremove-install.page, addremove-remove.page:
    - Clearer description of Ubuntu Software's focus on applications
      (LP: #1637861).
    - Mentioning of snaps (LP: #1658785).
  * printing-setup.page:
    - Section about network printer added (LP: #1630272).
  * mouse-mousekeys.page:
    - Improved description of mouse keys (LP: #964727).
  * disk-*.page:
    - GUI conformity modifications (LP: #1651360).
  * List type explicitly stated on multiple pages.
  * addremove-creator.page:
    - New page describing Startup Disk Creator (LP: #1569532).
  * security-settings.page:
    - New page describing the Security & Privacy panel in System
      Settings (LP: #1200381).

  [ Doug Smythies ]
  * scripts/validate.sh:
    - Changed to --strict validation.
  * ubuntu-help/C/legal.xml:
    - Specify https to avoid a "permanently moved" redirection.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 20 Feb 2017 15:11:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
-Build-Depends: debhelper (>= 8), cdbs
+Build-Depends: debhelper (>= 9), cdbs
 Build-Depends-Indep: gnome-common,
                      pkg-config,
                      yelp-tools

## ubuntu-docs 17.10.7

=== html/Makefile ===
--- 
+++ 
@@ -21,7 +21,8 @@
 
 MAKECMD=make
 HTMLDESTDIR=build
-SRCDIR=../ubuntu-help
+SRCDIR=/usr/share/help
+TMPDIR=/tmp/desktop-guide-build
 SED=/bin/sed
 INSTALLDIR=ubuntu-docs
 URLFIXER=fix-urls.sed
@@ -33,9 +34,9 @@
 # for the HTML to be built in turn. This means all the locales for which
 # HTML output is needed will have to have been specified in the main
 # HELP_LINGUAS variable in the ubuntu-help Makefile
-HELP_LINGUAS = am ar ast az bg bo br bs ca ce cs da de el en_AU en_CA en_GB eo es et eu fi fo fr gl he hi hr hu ia id it ja kab kk kn ko lt lv mg ms my nb ne nl oc pl pt_BR pt ro ru si sk sl sq sr sv ta te tg th tl tr ug uk ur uz zh_CN zh_HK zh_TW
+HELP_LINGUAS = ca cs da de el es fi fr gl he hi hu id it ja kn lv nl pl pt pt_BR ro ru sl sr sv ta te zh_CN
 
-index_file_exists = $(wildcard $(SRCDIR)/$(lingua)/index.page)
+index_file_exists = $(wildcard $(SRCDIR)/$(lingua)/gnome-help/index.page)
 linguas := $(HELP_LINGUAS)
 help_linguas := \
     $(foreach lingua, $(linguas), \
@@ -60,14 +61,18 @@
 		if test "$$lang" = "gl"; then lang=gl-GL; fi; \
 		if test "$$lang" = "ms"; then lang=ms-MS; fi; \
 		if test "$$lang" = "pl"; then lang=pl-PL; fi; \
+		mkdir -p "$(TMPDIR)/$$lc"; \
+		cp -rf "$(SRCDIR)/$$lc/gnome-help" "$(TMPDIR)/$$lc"; \
+		find "$(TMPDIR)/$$lc" -type l -exec rm -f {} \; ; \
+		cp "$(TMPDIR)/$$lc/gnome-help/"*.svg "$(HTMLDESTDIR)/$$lang/"; \
 		yelp-build html -o "$(HTMLDESTDIR)/$$lang/" -x $(UBUNTUXSL) \
-			"$(SRCDIR)/$$lc/"; \
+			"$(TMPDIR)/$$lc/gnome-help"; \
 		$(SED) -i \
 			-e "s/<html>/<html lang="$$lang">/" \
 			"$(HTMLDESTDIR)/$$lang/"*.html; \
 		$(SED) -i -f "$(URLFIXER)" "$(HTMLDESTDIR)/$$lang/"*.html; \
 		sed -i -r -e \
-			's|(<div class="region"><div class="contents">)|<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 17.04</span></div>\1|' \
+			's|(<div class="region"><div class="contents">)|<div class="title" style="margin-bottom: 1.5em"><span>Ubuntu 17.10</span></div>\1|' \
 			"$(HTMLDESTDIR)/$$lang/index.html"; \
 		echo "\nSearching for yelp help system internal links and either changing them to equivalent or related external links or deleting them:"; \
 		$(SED) -i -e '/help:language-selector/d' "$(HTMLDESTDIR)/$$lang/"session*.html; \
@@ -77,6 +82,7 @@
 
 clean:
 	rm -rf build
+	rm -rf $(TMPDIR)
 
 # Copy style sheet and common images to build directory
 style:
@@ -89,7 +95,7 @@
 		mkdir -p "$(HTMLDESTDIR)/$$lang/img"; \
 		mkdir -p "$(HTMLDESTDIR)/$$lang/figures"; \
 		#cp -n img/* "$(HTMLDESTDIR)/$$lang/img"; \
-		#cp -n "$(SRCDIR)/C/figures/"* "$(HTMLDESTDIR)/$$lang/figures"; \
+		#cp -n "$(SRCDIR)/C/gnome-help/figures/"* "$(HTMLDESTDIR)/$$lang/figures"; \
 	done
 
 # Installs all HTML files to a single multilingual directory for subsequent copying to

=== debian/changelog ===
ubuntu-docs (17.10.7) artful; urgency=medium

  * debian/control.in, debian/control:
    - Don't recommend gnome-getting-started-docs - ubuntu-desktop
      recommends it instead (LP: #1721795).
  * The latest translations exported from Launchpad.
  * ubuntu-help/sl/sl.po: Mallard syntax error fixed.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 11 Oct 2017 00:05:00 +0200

ubuntu-docs (17.10.6) artful; urgency=medium

  * debian/control.in, debian/control:
    - Change recommend due to name change from gnome-user-guide to
      gnome-user-docs (LP: #1691867).
    - Bump Standards-Version to 4.1.0.
  * html/Makefile:
    - Use temporary dir to exclude symlinks; renamed from
      Makefile-from-installed.
    - Additional languages in gnome-user-docs.
  * net-chat-skype.page:
    - Updated for Skype for Linux 5.X (LP: #1704790).
  * prefs-language-install.page:
    - Steps to access Language Support modified.
  * keyboard-layouts.page:
    - Info about the show-all-sources option added.
  * translate.page, shell-guest-session.page:
    - Disabled for now.
  * addremove-*.page:
    - Descriptions on launching programs modified.
  * Updated ubuntu-help.pot.
  * The latest translations exported from Launchpad.
  * bs.po, es.po: Mallard syntax errors fixed.
  * scripts/update-translations.sh:
    - Don't modify Makefile.am.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 26 Sep 2017 18:26:00 +0200

ubuntu-docs (17.10.5) artful; urgency=medium

  * debian/rules: Don't strip translated pages.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 07 May 2017 10:09:00 +0200

ubuntu-docs (17.10.4) artful; urgency=medium

  * Convert from cdbs to dh
  * Change back to ubuntu-help from gnome-help in the package internals
    - This prevents confusion as regards the name of the POT file (we
      want to keep using the template name "ubuntu-help" at Launchpad).
  * debian/rules:
    - Make sure that the files are installed at the correct location
      by renaming the ubuntu-help folder to gnome-help and tweaking the
      image symlinks when creating the .deb file.
    - Don't install legal.xml since it's installed by gnome-user-guide.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 06 May 2017 21:59:00 +0200

ubuntu-docs (17.10.3) artful; urgency=medium

  * debian/control:
    - Recommend gnome-user-guide and gnome-getting-started-docs
    - Use Breaks/Replaces instead of Conflicts/Replaces

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 May 2017 14:31:00 -0400

ubuntu-docs (17.10.2) artful; urgency=medium

  * Convert ubuntu-docs to serve as a supplement to gnome-user-guide
    (LP: #1687928):
    - Most .page files and images removed; a few pages without
      equivalents in gnome-user-guide kept.
    - A few pages forked from gnome-user-docs (where they will not be
      installed) and adapted to Ubuntu.
    - Various tweaking to remove broken internal links etc.
    - Build localized pages only for the intersection of the languages
      in gnome-user-docs and ubuntu-docs.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 03 May 2017 14:57:00 +0200

ubuntu-docs (17.10.1) artful; urgency=medium

  * Bump version to 17.10 / artful.
  * Replace "ubuntu-help" with "gnome-help" (LP: #1686267):
    - Rename the branch folder, and make the .page files install in
      /usr/share/help/<lang>/gnome-help.
    - Make ubuntu-docs conflict gnome-user-guide.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 26 Apr 2017 16:56:00 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: ubuntu-docs
Section: doc
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Build-Depends: debhelper (>= 10),
               gnome-pkg-tools (>= 0.10)
Build-Depends-Indep: yelp-tools,
                     pkg-config
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/ubuntu-docs/saucy
Standards-Version: 4.1.0
Homepage: https://launchpad.net/ubuntu-docs

Package: ubuntu-docs
Architecture: all
Depends: ${misc:Depends},
         yelp
Recommends: gnome-user-docs
Breaks: gnome-user-guide (<= 3.24.0-0ubuntu1)
Replaces: gnome-user-guide (<= 3.24.0-0ubuntu1)
Description: Ubuntu Desktop Guide
 This package holds the official Ubuntu-specific documentation, maintained 
 by the Ubuntu Documentation Team. The documentation can be viewed using
 Yelp, the GNOME help browser.
